# historymanager

enable or disable history manager

## Calling Sequence

    state1=historymanager(state2)
                state1=historymanager()

## Arguments

state1

  returns history manager state 'on' or 'off'

state2

  'on' or 'off' set history manager's state

## Description

enable or disable history manager.

in 'API' mode, history manager is disabled.

## Examples

    displayhistory()
    backupstate=historymanager()
    historymanager('off')
    displayhistory()
    historymanager('on')
    loadhistory()
    displayhistory()
    historymanager(backupstate)

## See Also

- getscilabmode
- call_scilab